org.modeshape.jboss.subsystem

## Enum Element

- java.lang.Object
- - java.lang.Enum<Element>
  - - org.modeshape.jboss.subsystem.Element

- All Implemented Interfaces:
    Serializable, Comparable<Element>

      public enum Element
      extends Enum<Element>

  Enumerates the XML elements used in the ModeShape subsystem schema.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHENTICATOR`
    `AUTHENTICATORS`
    `CACHE_BINARY_STORAGE`
    `COMPOSITE_BINARY_STORAGE`
    `CUSTOM_BINARY_STORAGE`
    `CUSTOM_INDEX_STORAGE`
    `DB_BINARY_STORAGE`
    `EXTERNAL_SOURCES`
    `FILE_BINARY_STORAGE`
    `INDEXING`
    `INITIAL_CONTENT`
    `LOCAL_FILE_INDEX_STORAGE`
    `MASTER_FILE_INDEX_STORAGE`
    `NAMED_BINARY_STORE`
    `NODE_TYPE`
    `NODE_TYPES`
    `PATH_EXPRESSION`
    `PROJECTION`
    `PROPERTY`
    `RAM_INDEX_STORAGE`
    `REPOSITORY`
    `SEQUENCER`
    `SEQUENCERS`
    `SLAVE_FILE_INDEX_STORAGE`
    `SOURCE`
    `TEXT_EXTRACTOR`
    `TEXT_EXTRACTORS`
    `UNKNOWN`
    `WEBAPP`
    `WORKSPACE`
    `WORKSPACES`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Element` | `forName(String localName)`
    `String` | `getLocalName()` Get the local name of this element.
    `static Element` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Element[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final Element UNKNOWN

    - #### AUTHENTICATORS

          public static final Element AUTHENTICATORS

    - #### AUTHENTICATOR

          public static final Element AUTHENTICATOR

    - #### CACHE_BINARY_STORAGE

          public static final Element CACHE_BINARY_STORAGE

    - #### COMPOSITE_BINARY_STORAGE

          public static final Element COMPOSITE_BINARY_STORAGE

    - #### CUSTOM_BINARY_STORAGE

          public static final Element CUSTOM_BINARY_STORAGE

    - #### CUSTOM_INDEX_STORAGE

          public static final Element CUSTOM_INDEX_STORAGE

    - #### DB_BINARY_STORAGE

          public static final Element DB_BINARY_STORAGE

    - #### FILE_BINARY_STORAGE

          public static final Element FILE_BINARY_STORAGE

    - #### INDEXING

          public static final Element INDEXING

    - #### LOCAL_FILE_INDEX_STORAGE

          public static final Element LOCAL_FILE_INDEX_STORAGE

    - #### MASTER_FILE_INDEX_STORAGE

          public static final Element MASTER_FILE_INDEX_STORAGE

    - #### NAMED_BINARY_STORE

          public static final Element NAMED_BINARY_STORE

    - #### PATH_EXPRESSION

          public static final Element PATH_EXPRESSION

    - #### PROPERTY

          public static final Element PROPERTY

    - #### RAM_INDEX_STORAGE

          public static final Element RAM_INDEX_STORAGE

    - #### REPOSITORY

          public static final Element REPOSITORY

    - #### WEBAPP

          public static final Element WEBAPP

    - #### SEQUENCER

          public static final Element SEQUENCER

    - #### SEQUENCERS

          public static final Element SEQUENCERS

    - #### TEXT_EXTRACTORS

          public static final Element TEXT_EXTRACTORS

    - #### TEXT_EXTRACTOR

          public static final Element TEXT_EXTRACTOR

    - #### SLAVE_FILE_INDEX_STORAGE

          public static final Element SLAVE_FILE_INDEX_STORAGE

    - #### WORKSPACE

          public static final Element WORKSPACE

    - #### WORKSPACES

          public static final Element WORKSPACES

    - #### INITIAL_CONTENT

          public static final Element INITIAL_CONTENT

    - #### NODE_TYPES

          public static final Element NODE_TYPES

    - #### NODE_TYPE

          public static final Element NODE_TYPE

    - #### EXTERNAL_SOURCES

          public static final Element EXTERNAL_SOURCES

    - #### SOURCE

          public static final Element SOURCE

    - #### PROJECTION

          public static final Element PROJECTION

  - ### Method Detail

    - #### values

          public static Element[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Element c : Element.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Element valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLocalName

          public String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### forName

          public static Element forName(String localName)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.